ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.GHC.Compat.Logger

Contents

- Logging stuff

Description

Compat module for GHC 9.2 Logger infrastructure.

Synopsis

- putLogHook :: Logger -> HscEnv -> HscEnv
- pushLogHook :: (LogAction -> LogAction) -> Logger -> Logger
- type LogActionCompat = LogFlags -> Maybe DiagnosticReason -> Maybe Severity -> SrcSpan -> PrintUnqualified -> SDoc -> IO ()
- logActionCompat :: LogActionCompat -> LogAction
- defaultLogActionHPutStrDoc :: LogFlags -> Bool -> Handle -> SDoc -> IO ()

# Documentation

putLogHook :: Logger -> HscEnv -> HscEnv #

pushLogHook :: (LogAction -> LogAction) -> Logger -> Logger #

# Logging stuff

type LogActionCompat = LogFlags -> Maybe DiagnosticReason -> Maybe Severity -> SrcSpan -> PrintUnqualified -> SDoc -> IO () #

logActionCompat :: LogActionCompat -> LogAction #

defaultLogActionHPutStrDoc :: LogFlags -> Bool -> Handle -> SDoc -> IO () #